use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IKeyword;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "keyword")]
pub(crate) struct RenderKeyword {}

impl RenderKeyword {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _keyword: &IKeyword,
    ) -> Result<RenderKeyword, CustomError> {
        Ok(RenderKeyword {})
    }
}
