use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IPlainText;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "plain_text")]
pub(crate) struct RenderPlainText {
    source: String,
}

impl RenderPlainText {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        original: &IPlainText,
    ) -> Result<RenderPlainText, CustomError> {
        Ok(RenderPlainText {
            source: original.source.clone(),
        })
    }
}
