use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IStatisticsCookie;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "statistics_cookie")]
pub(crate) struct RenderStatisticsCookie {}

impl RenderStatisticsCookie {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _comment: &IStatisticsCookie,
    ) -> Result<RenderStatisticsCookie, CustomError> {
        Ok(RenderStatisticsCookie {})
    }
}
