use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::ITarget;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "target")]
pub(crate) struct RenderTarget {
    id: String,
}

impl RenderTarget {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        target: &ITarget,
    ) -> Result<RenderTarget, CustomError> {
        Ok(RenderTarget {
            id: target.id.clone(),
        })
    }
}
