use std::path::Path;

use serde::Serialize;

use crate::config::Config;
use crate::error::CustomError;
use crate::intermediate::IUnderline;

#[derive(Debug, Serialize)]
#[serde(tag = "type")]
#[serde(rename = "underline")]
pub(crate) struct RenderUnderline {}

impl RenderUnderline {
    pub(crate) fn new(
        _config: &Config,
        _output_directory: &Path,
        _output_file: &Path,
        _comment: &IUnderline,
    ) -> Result<RenderUnderline, CustomError> {
        Ok(RenderUnderline {})
    }
}
